#include "astnode.h"
#include "uncilexer.h"
#include "unciparser.h"
#include <fstream>
using namespace std;

int main (int argc, char *argv[])
{
  string src = "<stdin>";
  istream *in = &cin;
  if (argc > 1)
  {
    in = new ifstream (argv[1]);
    src = argv[1];
  }
  UnciLexer lexer(in, src);

  UnciParser parser(lexer);

  test_suite *tree = parser.parse();
  if (tree->validate_and_transform())
    tree->generate(cout);
  
  return 0;
}
