#include "Card.h"

Card::Card (int r, char s)
  : rank(r), suit(s)
{
}

int Card::getRank() const
{
  return rank;
}

char Card::getSuit() const
{
  return suit;
}

bool Card::isEqualTo(const Card& other) const
{
  return rank == other.rank && suit == other.suit;
}
