#include "uncilexer.h"
#include <cstdio>
#include <sstream>
using namespace std;

int main ()
{
  UnciLexer tokstream;

  while (tokstream.consume() != 0)
  {
    tokstream.print_token_table_line(stdout);
  }

  printf ("Symbol table =====================\n");
  for (int i = 0; i < tokstream.num_symbols(); ++i)
    printf ("%3d %s\n", i, tokstream.symbol(i).c_str());

  printf ("String table =====================\n");
  for (int i = 0; i < tokstream.num_strings(); ++i)
    printf ("%3d %s\n", i, tokstream.get_string(i).c_str());

  return 0;
}
